Bug 144504 - [PATCH] www/validator: fix runtime dependency
Summary: [PATCH] www/validator: fix runtime dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-06 08:10 UTC by Yasuhiro Kimura
Modified: 2010-03-09 01:20 UTC (History)
0 users

See Also:


Attachments
patch-validator (2.19 KB, text/plain)
2010-03-06 08:10 UTC, Yasuhiro Kimura
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura freebsd_committer 2010-03-06 08:10:01 UTC
	- Fix runtime dependency.
	- Sync files/validator.conf.sample.in with the one in the original archives.
Comment 1 Edwin Groothuis freebsd_committer 2010-03-06 08:10:10 UTC
Maintainer of www/validator,

Please note that PR ports/144504 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/144504

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-03-06 08:10:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Naram Qashat 2010-03-06 17:41:24 UTC
On 03/06/10 03:10, Edwin Groothuis wrote:
> Maintainer of www/validator,
>
> Please note that PR ports/144504 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/144504

I'm fine with the patch, with one exception.  I do not want p5-HTML-Tidy added 
to the main RUN_DEPENDS because it is already set via the WITH_HTML_TIDY knob. 
Otherwise everything else is good with the patch.

Thanks,
Naram Qashat
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2010-03-06 18:12:45 UTC
State Changed
From-To: feedback->open

Approved, but with one exception.
Comment 5 Yasuhiro Kimura freebsd_committer 2010-03-08 03:16:47 UTC
----Next_Part(Mon_Mar__8_12_16_47_2010_254)--
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Thank you for your feedback.
Surely I overlooked HTML_TIDY option.
So I updated the original patch.
Would you please review again?

Best Ragards.

----Next_Part(Mon_Mar__8_12_16_47_2010_254)--
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Content-Disposition: inline; filename=patch-validator

Index: Makefile
===================================================================
RCS file: /usr0/freebsd/cvsroot/ports/www/validator/Makefile,v
retrieving revision 1.21
diff -u -r1.21 Makefile
--- Makefile	4 Mar 2010 13:55:22 -0000	1.21
+++ Makefile	8 Mar 2010 01:00:15 -0000
@@ -7,6 +7,7 @@
 
 PORTNAME=	validator
 PORTVERSION=	0.8.6
+PORTREVISION=	1
 CATEGORIES=	www
 MASTER_SITES=	http://validator.w3.org/dist/ \
 		http://www.cyberbotx.com/w3c-validator/
@@ -23,9 +24,9 @@
 		${SITE_PERL}/HTML/Encoding.pm:${PORTSDIR}/www/p5-HTML-Encoding \
 		${SITE_PERL}/HTML/Template.pm:${PORTSDIR}/www/p5-HTML-Template \
 		${SITE_PERL}/Bundle/LWP.pm:${PORTSDIR}/www/p5-libwww \
+		${SITE_PERL}/JSON.pm:${PORTSDIR}/converters/p5-JSON \
 		${SITE_PERL}/Net/IP.pm:${PORTSDIR}/net-mgmt/p5-Net-IP \
 		${SITE_PERL}/${PERL_ARCH}/SGML/Parser/OpenSP.pm:${PORTSDIR}/textproc/p5-SGML-Parser-OpenSP \
-		${SITE_PERL}/${PERL_ARCH}/String/Approx.pm:${PORTSDIR}/devel/p5-String-Approx \
 		${SITE_PERL}/URI.pm:${PORTSDIR}/net/p5-URI \
 		${SITE_PERL}/${PERL_ARCH}/XML/LibXML.pm:${PORTSDIR}/textproc/p5-XML-LibXML
 
Index: files/validator.conf.sample.in
===================================================================
RCS file: /usr0/freebsd/cvsroot/ports/www/validator/files/validator.conf.sample.in,v
retrieving revision 1.2
diff -u -r1.2 validator.conf.sample.in
--- files/validator.conf.sample.in	29 Jul 2007 13:13:58 -0000	1.2
+++ files/validator.conf.sample.in	6 Mar 2010 07:36:16 -0000
@@ -76,10 +76,6 @@
 # The "Home Page" for the service.  Make sure this ends with a slash.
 Home Page = http://validator.w3.org/
 
-#
-# Base URI for the Element Reference.
-Element Ref URI = http://www.htmlhelp.com/reference/html40/
-
 # Localization
 # only English available for now
 Languages = en
@@ -91,12 +87,6 @@
 #
 
 #
-# Maps element names to URLs (cf. "Element Ref URI" above).
-<Elements>
-  Include %%PREFIX%%/www/validator/htdocs/config/eref.cfg
-</Elements>
-
-#
 # Main document Type Registry; contains all information on the types
 # of documents we support and how they are processed.
 <Types>

----Next_Part(Mon_Mar__8_12_16_47_2010_254)----
Comment 6 Naram Qashat 2010-03-08 04:39:15 UTC
On 03/07/10 22:16, Yasuhiro KIMURA wrote:
> Thank you for your feedback.
> Surely I overlooked HTML_TIDY option.
> So I updated the original patch.
> Would you please review again?
>
> Best Ragards.

That should be fine now.
Comment 7 dfilter service freebsd_committer 2010-03-09 01:12:46 UTC
wen         2010-03-09 01:12:37 UTC

  FreeBSD ports repository

  Modified files:
    www/validator        Makefile 
    www/validator/files  validator.conf.sample.in 
  Log:
  - Fix runtime dependency
  
  PR:             ports/144504
  Submitted by:   Yasuhiro KIMURA <yasu@utahime.org>
  Approved by:    maintainer
  Feature safe:   yes
  
  Revision  Changes    Path
  1.22      +2 -1      ports/www/validator/Makefile
  1.3       +0 -10     ports/www/validator/files/validator.conf.sample.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Wen Heping freebsd_committer 2010-03-09 01:13:34 UTC
State Changed
From-To: open->closed

Committed. Thanks!